package com.sckw.transport.repository;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckw.transport.dao.KwtParkingWalletFeeMapper;
import com.sckw.transport.model.KwtParkingWalletFee;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: 门卫车辆订单
 * @CreateTime: 2025-10-12
 * @Description:
 * @Version: 1.0
 */

@Repository
public class KwtParkingWalletFeeRepository extends ServiceImpl<KwtParkingWalletFeeMapper, KwtParkingWalletFee> {


    public List<KwtParkingWalletFee> queryParkingChangeStrategy() {
        return list(
                Wrappers.<KwtParkingWalletFee>lambdaQuery()
                        .orderByDesc(KwtParkingWalletFee::getId));
    }

}